# Errors

All errors thrown or returned by the zkID Wallet follow this interface:

```typescript
export interface RPCErrorInterface {
  code: number;
  message: string;
  meaning?: string;
}
```

You can often use the error code property to determine why the invoke of API failed. Common Error Codes and their meaning include:

* `-32801`
  * **Credential not found** The Credential doesn't exist.
* `-32802`
  * **Credential metadata error** Metadata doesn't match.
* `-32700`
  * **Parse Error** An error occurred on the server while parsing the Credential JSON Text.
* `-32600`
  * **Invalid Request** The JSON sent is not a valid Request object.
* `-32601`
  * **Method not found** The method doesn't exist / is not available.
* `-32602`
  * **Invalid params** Invalid method parameters(s).
* `-32603`
  * **Internal Error** Internal JSON-RPC Error.
* `-32010`
  * **Illegal request** The User hasn't give authorization to the website, so this request is illegal.
* `-32001`
  * **User Reject** The User reject this request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zkid.app/api/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
